Skip to content

data_metadata_list

GET
/api/data/{data_pk}/metadata
curl --request GET \
--url 'https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata?include_inherited=true' \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

List the information related to all the Metadata objects.

data_pk
required
string format: uuid
X-Workspace
required
string format: uuid

Workspace ID

datalink
string

Datalink ID specific to the provided data

include_inherited
boolean
default: true

Should the inherited metadata be included in the response

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for Metadata model.

object
id
required
string format: uuid
field
required

Dynamically return the correct metadata field (madbot_field or plugin_field).

Parameters

obj : Metadata The Metadata instance.

Returns

dict Serialized data of the related metadata field.

object
key
additional properties
value
nullable
node
required
string format: uuid
nullable
sample
required
string format: uuid
nullable
data
required
string format: uuid
nullable
data_association
required
string format: uuid
nullable
is_valid
required
string
validation_errors
required
string
history
required

Retrieve the history of the metadata object.

Parameters

obj : object The object that has a history attribute.

Returns

list A list of dictionaries containing the history of the metadata object, where each dictionary includes the history ID, date, value, and editor information.

Array<object>
object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : object The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "uri_validation_error",
"message": "Invalid URI parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "<associated_object>",
"code": "does_not_exist",
"message": "\"<parameter_value>\" does not exist."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "node",
"code": "not_allowed",
"message": "You are not a member of this node."
}
]
}